Subject: Re: bug#61024: 29.0.60; [PATCH] Eshell errors out when trying to redirect output of a remote process

From: Michael Albinus <[email-masked]>
Date: Mon, 23 Jan 2023 19:25:34 +0100

Jim Porter <[email-masked]> writes:

Hi Jim,

>> Pipe processes are always tricky for Tramp. I *believe* redirecting
>> stdout and stderr to different buffers shall work, see "test6" of
>> tramp-test30-make-process. But I remember also that this was painful to
>> implement and test.
>
> Yeah, I took a look at the Tramp code and it's pretty tricky. I'll see
> if I can come up with something for Emacs 30 though (maybe we could
> update the 'make-process' API to make this easier for Tramp?).

Pls do. Let's see where we land.

Best regards, Michael.